Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network28.2.232.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
28.2.232.0
Broadcast address
28.2.235.255
First usable
28.2.232.1
Last usable
28.2.235.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 1C02E800 · Integer 469952512 to 469953535
Reverse DNS zones
232.2.28.in-addr.arpa
233.2.28.in-addr.arpa
234.2.28.in-addr.arpa
235.2.28.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011100.00000010.11101000.0000000028.2.232.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network00011100.00000010.11101000.0000000028.2.232.0
Broadcast00011100.00000010.11101011.1111111128.2.235.255
Split into smaller subnets/30

28.2.232.0/22 makes 256 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
128.2.232.0/3028.2.232.1 to 28.2.232.228.2.232.32
228.2.232.4/3028.2.232.5 to 28.2.232.628.2.232.72
328.2.232.8/3028.2.232.9 to 28.2.232.1028.2.232.112
428.2.232.12/3028.2.232.13 to 28.2.232.1428.2.232.152
528.2.232.16/3028.2.232.17 to 28.2.232.1828.2.232.192
628.2.232.20/3028.2.232.21 to 28.2.232.2228.2.232.232
728.2.232.24/3028.2.232.25 to 28.2.232.2628.2.232.272
828.2.232.28/3028.2.232.29 to 28.2.232.3028.2.232.312
928.2.232.32/3028.2.232.33 to 28.2.232.3428.2.232.352
1028.2.232.36/3028.2.232.37 to 28.2.232.3828.2.232.392
1128.2.232.40/3028.2.232.41 to 28.2.232.4228.2.232.432
1228.2.232.44/3028.2.232.45 to 28.2.232.4628.2.232.472
1328.2.232.48/3028.2.232.49 to 28.2.232.5028.2.232.512
1428.2.232.52/3028.2.232.53 to 28.2.232.5428.2.232.552
1528.2.232.56/3028.2.232.57 to 28.2.232.5828.2.232.592
1628.2.232.60/3028.2.232.61 to 28.2.232.6228.2.232.632
1728.2.232.64/3028.2.232.65 to 28.2.232.6628.2.232.672
1828.2.232.68/3028.2.232.69 to 28.2.232.7028.2.232.712
1928.2.232.72/3028.2.232.73 to 28.2.232.7428.2.232.752
2028.2.232.76/3028.2.232.77 to 28.2.232.7828.2.232.792
2128.2.232.80/3028.2.232.81 to 28.2.232.8228.2.232.832
2228.2.232.84/3028.2.232.85 to 28.2.232.8628.2.232.872
2328.2.232.88/3028.2.232.89 to 28.2.232.9028.2.232.912
2428.2.232.92/3028.2.232.93 to 28.2.232.9428.2.232.952
2528.2.232.96/3028.2.232.97 to 28.2.232.9828.2.232.992
2628.2.232.100/3028.2.232.101 to 28.2.232.10228.2.232.1032
2728.2.232.104/3028.2.232.105 to 28.2.232.10628.2.232.1072
2828.2.232.108/3028.2.232.109 to 28.2.232.11028.2.232.1112
2928.2.232.112/3028.2.232.113 to 28.2.232.11428.2.232.1152
3028.2.232.116/3028.2.232.117 to 28.2.232.11828.2.232.1192
3128.2.232.120/3028.2.232.121 to 28.2.232.12228.2.232.1232
3228.2.232.124/3028.2.232.125 to 28.2.232.12628.2.232.1272
3328.2.232.128/3028.2.232.129 to 28.2.232.13028.2.232.1312
3428.2.232.132/3028.2.232.133 to 28.2.232.13428.2.232.1352
3528.2.232.136/3028.2.232.137 to 28.2.232.13828.2.232.1392
3628.2.232.140/3028.2.232.141 to 28.2.232.14228.2.232.1432
3728.2.232.144/3028.2.232.145 to 28.2.232.14628.2.232.1472
3828.2.232.148/3028.2.232.149 to 28.2.232.15028.2.232.1512
3928.2.232.152/3028.2.232.153 to 28.2.232.15428.2.232.1552
4028.2.232.156/3028.2.232.157 to 28.2.232.15828.2.232.1592
4128.2.232.160/3028.2.232.161 to 28.2.232.16228.2.232.1632
4228.2.232.164/3028.2.232.165 to 28.2.232.16628.2.232.1672
4328.2.232.168/3028.2.232.169 to 28.2.232.17028.2.232.1712
4428.2.232.172/3028.2.232.173 to 28.2.232.17428.2.232.1752
4528.2.232.176/3028.2.232.177 to 28.2.232.17828.2.232.1792
4628.2.232.180/3028.2.232.181 to 28.2.232.18228.2.232.1832
4728.2.232.184/3028.2.232.185 to 28.2.232.18628.2.232.1872
4828.2.232.188/3028.2.232.189 to 28.2.232.19028.2.232.1912
4928.2.232.192/3028.2.232.193 to 28.2.232.19428.2.232.1952
5028.2.232.196/3028.2.232.197 to 28.2.232.19828.2.232.1992
5128.2.232.200/3028.2.232.201 to 28.2.232.20228.2.232.2032
5228.2.232.204/3028.2.232.205 to 28.2.232.20628.2.232.2072
5328.2.232.208/3028.2.232.209 to 28.2.232.21028.2.232.2112
5428.2.232.212/3028.2.232.213 to 28.2.232.21428.2.232.2152
5528.2.232.216/3028.2.232.217 to 28.2.232.21828.2.232.2192
5628.2.232.220/3028.2.232.221 to 28.2.232.22228.2.232.2232
5728.2.232.224/3028.2.232.225 to 28.2.232.22628.2.232.2272
5828.2.232.228/3028.2.232.229 to 28.2.232.23028.2.232.2312
5928.2.232.232/3028.2.232.233 to 28.2.232.23428.2.232.2352
6028.2.232.236/3028.2.232.237 to 28.2.232.23828.2.232.2392
6128.2.232.240/3028.2.232.241 to 28.2.232.24228.2.232.2432
6228.2.232.244/3028.2.232.245 to 28.2.232.24628.2.232.2472
6328.2.232.248/3028.2.232.249 to 28.2.232.25028.2.232.2512
6428.2.232.252/3028.2.232.253 to 28.2.232.25428.2.232.2552
6528.2.233.0/3028.2.233.1 to 28.2.233.228.2.233.32
6628.2.233.4/3028.2.233.5 to 28.2.233.628.2.233.72
6728.2.233.8/3028.2.233.9 to 28.2.233.1028.2.233.112
6828.2.233.12/3028.2.233.13 to 28.2.233.1428.2.233.152
6928.2.233.16/3028.2.233.17 to 28.2.233.1828.2.233.192
7028.2.233.20/3028.2.233.21 to 28.2.233.2228.2.233.232
7128.2.233.24/3028.2.233.25 to 28.2.233.2628.2.233.272
7228.2.233.28/3028.2.233.29 to 28.2.233.3028.2.233.312
7328.2.233.32/3028.2.233.33 to 28.2.233.3428.2.233.352
7428.2.233.36/3028.2.233.37 to 28.2.233.3828.2.233.392
7528.2.233.40/3028.2.233.41 to 28.2.233.4228.2.233.432
7628.2.233.44/3028.2.233.45 to 28.2.233.4628.2.233.472
7728.2.233.48/3028.2.233.49 to 28.2.233.5028.2.233.512
7828.2.233.52/3028.2.233.53 to 28.2.233.5428.2.233.552
7928.2.233.56/3028.2.233.57 to 28.2.233.5828.2.233.592
8028.2.233.60/3028.2.233.61 to 28.2.233.6228.2.233.632
8128.2.233.64/3028.2.233.65 to 28.2.233.6628.2.233.672
8228.2.233.68/3028.2.233.69 to 28.2.233.7028.2.233.712
8328.2.233.72/3028.2.233.73 to 28.2.233.7428.2.233.752
8428.2.233.76/3028.2.233.77 to 28.2.233.7828.2.233.792
8528.2.233.80/3028.2.233.81 to 28.2.233.8228.2.233.832
8628.2.233.84/3028.2.233.85 to 28.2.233.8628.2.233.872
8728.2.233.88/3028.2.233.89 to 28.2.233.9028.2.233.912
8828.2.233.92/3028.2.233.93 to 28.2.233.9428.2.233.952
8928.2.233.96/3028.2.233.97 to 28.2.233.9828.2.233.992
9028.2.233.100/3028.2.233.101 to 28.2.233.10228.2.233.1032
9128.2.233.104/3028.2.233.105 to 28.2.233.10628.2.233.1072
9228.2.233.108/3028.2.233.109 to 28.2.233.11028.2.233.1112
9328.2.233.112/3028.2.233.113 to 28.2.233.11428.2.233.1152
9428.2.233.116/3028.2.233.117 to 28.2.233.11828.2.233.1192
9528.2.233.120/3028.2.233.121 to 28.2.233.12228.2.233.1232
9628.2.233.124/3028.2.233.125 to 28.2.233.12628.2.233.1272
9728.2.233.128/3028.2.233.129 to 28.2.233.13028.2.233.1312
9828.2.233.132/3028.2.233.133 to 28.2.233.13428.2.233.1352
9928.2.233.136/3028.2.233.137 to 28.2.233.13828.2.233.1392
10028.2.233.140/3028.2.233.141 to 28.2.233.14228.2.233.1432
10128.2.233.144/3028.2.233.145 to 28.2.233.14628.2.233.1472
10228.2.233.148/3028.2.233.149 to 28.2.233.15028.2.233.1512
10328.2.233.152/3028.2.233.153 to 28.2.233.15428.2.233.1552
10428.2.233.156/3028.2.233.157 to 28.2.233.15828.2.233.1592
10528.2.233.160/3028.2.233.161 to 28.2.233.16228.2.233.1632
10628.2.233.164/3028.2.233.165 to 28.2.233.16628.2.233.1672
10728.2.233.168/3028.2.233.169 to 28.2.233.17028.2.233.1712
10828.2.233.172/3028.2.233.173 to 28.2.233.17428.2.233.1752
10928.2.233.176/3028.2.233.177 to 28.2.233.17828.2.233.1792
11028.2.233.180/3028.2.233.181 to 28.2.233.18228.2.233.1832
11128.2.233.184/3028.2.233.185 to 28.2.233.18628.2.233.1872
11228.2.233.188/3028.2.233.189 to 28.2.233.19028.2.233.1912
11328.2.233.192/3028.2.233.193 to 28.2.233.19428.2.233.1952
11428.2.233.196/3028.2.233.197 to 28.2.233.19828.2.233.1992
11528.2.233.200/3028.2.233.201 to 28.2.233.20228.2.233.2032
11628.2.233.204/3028.2.233.205 to 28.2.233.20628.2.233.2072
11728.2.233.208/3028.2.233.209 to 28.2.233.21028.2.233.2112
11828.2.233.212/3028.2.233.213 to 28.2.233.21428.2.233.2152
11928.2.233.216/3028.2.233.217 to 28.2.233.21828.2.233.2192
12028.2.233.220/3028.2.233.221 to 28.2.233.22228.2.233.2232
12128.2.233.224/3028.2.233.225 to 28.2.233.22628.2.233.2272
12228.2.233.228/3028.2.233.229 to 28.2.233.23028.2.233.2312
12328.2.233.232/3028.2.233.233 to 28.2.233.23428.2.233.2352
12428.2.233.236/3028.2.233.237 to 28.2.233.23828.2.233.2392
12528.2.233.240/3028.2.233.241 to 28.2.233.24228.2.233.2432
12628.2.233.244/3028.2.233.245 to 28.2.233.24628.2.233.2472
12728.2.233.248/3028.2.233.249 to 28.2.233.25028.2.233.2512
12828.2.233.252/3028.2.233.253 to 28.2.233.25428.2.233.2552
12928.2.234.0/3028.2.234.1 to 28.2.234.228.2.234.32
13028.2.234.4/3028.2.234.5 to 28.2.234.628.2.234.72
13128.2.234.8/3028.2.234.9 to 28.2.234.1028.2.234.112
13228.2.234.12/3028.2.234.13 to 28.2.234.1428.2.234.152
13328.2.234.16/3028.2.234.17 to 28.2.234.1828.2.234.192
13428.2.234.20/3028.2.234.21 to 28.2.234.2228.2.234.232
13528.2.234.24/3028.2.234.25 to 28.2.234.2628.2.234.272
13628.2.234.28/3028.2.234.29 to 28.2.234.3028.2.234.312
13728.2.234.32/3028.2.234.33 to 28.2.234.3428.2.234.352
13828.2.234.36/3028.2.234.37 to 28.2.234.3828.2.234.392
13928.2.234.40/3028.2.234.41 to 28.2.234.4228.2.234.432
14028.2.234.44/3028.2.234.45 to 28.2.234.4628.2.234.472
14128.2.234.48/3028.2.234.49 to 28.2.234.5028.2.234.512
14228.2.234.52/3028.2.234.53 to 28.2.234.5428.2.234.552
14328.2.234.56/3028.2.234.57 to 28.2.234.5828.2.234.592
14428.2.234.60/3028.2.234.61 to 28.2.234.6228.2.234.632
14528.2.234.64/3028.2.234.65 to 28.2.234.6628.2.234.672
14628.2.234.68/3028.2.234.69 to 28.2.234.7028.2.234.712
14728.2.234.72/3028.2.234.73 to 28.2.234.7428.2.234.752
14828.2.234.76/3028.2.234.77 to 28.2.234.7828.2.234.792
14928.2.234.80/3028.2.234.81 to 28.2.234.8228.2.234.832
15028.2.234.84/3028.2.234.85 to 28.2.234.8628.2.234.872
15128.2.234.88/3028.2.234.89 to 28.2.234.9028.2.234.912
15228.2.234.92/3028.2.234.93 to 28.2.234.9428.2.234.952
15328.2.234.96/3028.2.234.97 to 28.2.234.9828.2.234.992
15428.2.234.100/3028.2.234.101 to 28.2.234.10228.2.234.1032
15528.2.234.104/3028.2.234.105 to 28.2.234.10628.2.234.1072
15628.2.234.108/3028.2.234.109 to 28.2.234.11028.2.234.1112
15728.2.234.112/3028.2.234.113 to 28.2.234.11428.2.234.1152
15828.2.234.116/3028.2.234.117 to 28.2.234.11828.2.234.1192
15928.2.234.120/3028.2.234.121 to 28.2.234.12228.2.234.1232
16028.2.234.124/3028.2.234.125 to 28.2.234.12628.2.234.1272
16128.2.234.128/3028.2.234.129 to 28.2.234.13028.2.234.1312
16228.2.234.132/3028.2.234.133 to 28.2.234.13428.2.234.1352
16328.2.234.136/3028.2.234.137 to 28.2.234.13828.2.234.1392
16428.2.234.140/3028.2.234.141 to 28.2.234.14228.2.234.1432
16528.2.234.144/3028.2.234.145 to 28.2.234.14628.2.234.1472
16628.2.234.148/3028.2.234.149 to 28.2.234.15028.2.234.1512
16728.2.234.152/3028.2.234.153 to 28.2.234.15428.2.234.1552
16828.2.234.156/3028.2.234.157 to 28.2.234.15828.2.234.1592
16928.2.234.160/3028.2.234.161 to 28.2.234.16228.2.234.1632
17028.2.234.164/3028.2.234.165 to 28.2.234.16628.2.234.1672
17128.2.234.168/3028.2.234.169 to 28.2.234.17028.2.234.1712
17228.2.234.172/3028.2.234.173 to 28.2.234.17428.2.234.1752
17328.2.234.176/3028.2.234.177 to 28.2.234.17828.2.234.1792
17428.2.234.180/3028.2.234.181 to 28.2.234.18228.2.234.1832
17528.2.234.184/3028.2.234.185 to 28.2.234.18628.2.234.1872
17628.2.234.188/3028.2.234.189 to 28.2.234.19028.2.234.1912
17728.2.234.192/3028.2.234.193 to 28.2.234.19428.2.234.1952
17828.2.234.196/3028.2.234.197 to 28.2.234.19828.2.234.1992
17928.2.234.200/3028.2.234.201 to 28.2.234.20228.2.234.2032
18028.2.234.204/3028.2.234.205 to 28.2.234.20628.2.234.2072
18128.2.234.208/3028.2.234.209 to 28.2.234.21028.2.234.2112
18228.2.234.212/3028.2.234.213 to 28.2.234.21428.2.234.2152
18328.2.234.216/3028.2.234.217 to 28.2.234.21828.2.234.2192
18428.2.234.220/3028.2.234.221 to 28.2.234.22228.2.234.2232
18528.2.234.224/3028.2.234.225 to 28.2.234.22628.2.234.2272
18628.2.234.228/3028.2.234.229 to 28.2.234.23028.2.234.2312
18728.2.234.232/3028.2.234.233 to 28.2.234.23428.2.234.2352
18828.2.234.236/3028.2.234.237 to 28.2.234.23828.2.234.2392
18928.2.234.240/3028.2.234.241 to 28.2.234.24228.2.234.2432
19028.2.234.244/3028.2.234.245 to 28.2.234.24628.2.234.2472
19128.2.234.248/3028.2.234.249 to 28.2.234.25028.2.234.2512
19228.2.234.252/3028.2.234.253 to 28.2.234.25428.2.234.2552
19328.2.235.0/3028.2.235.1 to 28.2.235.228.2.235.32
19428.2.235.4/3028.2.235.5 to 28.2.235.628.2.235.72
19528.2.235.8/3028.2.235.9 to 28.2.235.1028.2.235.112
19628.2.235.12/3028.2.235.13 to 28.2.235.1428.2.235.152
19728.2.235.16/3028.2.235.17 to 28.2.235.1828.2.235.192
19828.2.235.20/3028.2.235.21 to 28.2.235.2228.2.235.232
19928.2.235.24/3028.2.235.25 to 28.2.235.2628.2.235.272
20028.2.235.28/3028.2.235.29 to 28.2.235.3028.2.235.312
20128.2.235.32/3028.2.235.33 to 28.2.235.3428.2.235.352
20228.2.235.36/3028.2.235.37 to 28.2.235.3828.2.235.392
20328.2.235.40/3028.2.235.41 to 28.2.235.4228.2.235.432
20428.2.235.44/3028.2.235.45 to 28.2.235.4628.2.235.472
20528.2.235.48/3028.2.235.49 to 28.2.235.5028.2.235.512
20628.2.235.52/3028.2.235.53 to 28.2.235.5428.2.235.552
20728.2.235.56/3028.2.235.57 to 28.2.235.5828.2.235.592
20828.2.235.60/3028.2.235.61 to 28.2.235.6228.2.235.632
20928.2.235.64/3028.2.235.65 to 28.2.235.6628.2.235.672
21028.2.235.68/3028.2.235.69 to 28.2.235.7028.2.235.712
21128.2.235.72/3028.2.235.73 to 28.2.235.7428.2.235.752
21228.2.235.76/3028.2.235.77 to 28.2.235.7828.2.235.792
21328.2.235.80/3028.2.235.81 to 28.2.235.8228.2.235.832
21428.2.235.84/3028.2.235.85 to 28.2.235.8628.2.235.872
21528.2.235.88/3028.2.235.89 to 28.2.235.9028.2.235.912
21628.2.235.92/3028.2.235.93 to 28.2.235.9428.2.235.952
21728.2.235.96/3028.2.235.97 to 28.2.235.9828.2.235.992
21828.2.235.100/3028.2.235.101 to 28.2.235.10228.2.235.1032
21928.2.235.104/3028.2.235.105 to 28.2.235.10628.2.235.1072
22028.2.235.108/3028.2.235.109 to 28.2.235.11028.2.235.1112
22128.2.235.112/3028.2.235.113 to 28.2.235.11428.2.235.1152
22228.2.235.116/3028.2.235.117 to 28.2.235.11828.2.235.1192
22328.2.235.120/3028.2.235.121 to 28.2.235.12228.2.235.1232
22428.2.235.124/3028.2.235.125 to 28.2.235.12628.2.235.1272
22528.2.235.128/3028.2.235.129 to 28.2.235.13028.2.235.1312
22628.2.235.132/3028.2.235.133 to 28.2.235.13428.2.235.1352
22728.2.235.136/3028.2.235.137 to 28.2.235.13828.2.235.1392
22828.2.235.140/3028.2.235.141 to 28.2.235.14228.2.235.1432
22928.2.235.144/3028.2.235.145 to 28.2.235.14628.2.235.1472
23028.2.235.148/3028.2.235.149 to 28.2.235.15028.2.235.1512
23128.2.235.152/3028.2.235.153 to 28.2.235.15428.2.235.1552
23228.2.235.156/3028.2.235.157 to 28.2.235.15828.2.235.1592
23328.2.235.160/3028.2.235.161 to 28.2.235.16228.2.235.1632
23428.2.235.164/3028.2.235.165 to 28.2.235.16628.2.235.1672
23528.2.235.168/3028.2.235.169 to 28.2.235.17028.2.235.1712
23628.2.235.172/3028.2.235.173 to 28.2.235.17428.2.235.1752
23728.2.235.176/3028.2.235.177 to 28.2.235.17828.2.235.1792
23828.2.235.180/3028.2.235.181 to 28.2.235.18228.2.235.1832
23928.2.235.184/3028.2.235.185 to 28.2.235.18628.2.235.1872
24028.2.235.188/3028.2.235.189 to 28.2.235.19028.2.235.1912
24128.2.235.192/3028.2.235.193 to 28.2.235.19428.2.235.1952
24228.2.235.196/3028.2.235.197 to 28.2.235.19828.2.235.1992
24328.2.235.200/3028.2.235.201 to 28.2.235.20228.2.235.2032
24428.2.235.204/3028.2.235.205 to 28.2.235.20628.2.235.2072
24528.2.235.208/3028.2.235.209 to 28.2.235.21028.2.235.2112
24628.2.235.212/3028.2.235.213 to 28.2.235.21428.2.235.2152
24728.2.235.216/3028.2.235.217 to 28.2.235.21828.2.235.2192
24828.2.235.220/3028.2.235.221 to 28.2.235.22228.2.235.2232
24928.2.235.224/3028.2.235.225 to 28.2.235.22628.2.235.2272
25028.2.235.228/3028.2.235.229 to 28.2.235.23028.2.235.2312
25128.2.235.232/3028.2.235.233 to 28.2.235.23428.2.235.2352
25228.2.235.236/3028.2.235.237 to 28.2.235.23828.2.235.2392
25328.2.235.240/3028.2.235.241 to 28.2.235.24228.2.235.2432
25428.2.235.244/3028.2.235.245 to 28.2.235.24628.2.235.2472
25528.2.235.248/3028.2.235.249 to 28.2.235.25028.2.235.2512
25628.2.235.252/3028.2.235.253 to 28.2.235.25428.2.235.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses